[Python-modules-commits] [astral] 01/01: Add autopkgtest tests

Ethan Ward ethanward-guest at moszumanska.debian.org
Wed Aug 2 19:45:20 UTC 2017


This is an automated email from the git hooks/post-receive script.

ethanward-guest pushed a commit to branch master
in repository astral.

commit 3a4a02fc58a61682580374eb17745d2350dded91
Author: Ethan Ward <ethan.ward at mycroft.ai>
Date:   Wed Aug 2 14:45:05 2017 -0500

    Add autopkgtest tests
---
 debian/tests/control | 16 ++--------------
 debian/tests/py2test | 10 ++++++++++
 debian/tests/py3test | 11 +++++++++++
 3 files changed, 23 insertions(+), 14 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
index 791cbf8..bd326a1 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,21 +1,9 @@
-Test-Command: set -e
- ; cp -r src/test "$AUTOPKGTEST_TMP"
- ; for py in $(pyversions -r 2>/dev/null)
- ; do cd "$AUTOPKGTEST_TMP"
- ; echo "Testing with $py:"
- ; http_proxy= $py -m pytest
- ; done
+Tests: py2test
 Depends: python-all,
          python-astral,
          python-pytest
 
-Test-Command: set -e
- ; cp -r src/test "$AUTOPKGTEST_TMP"
- ; for py in $(py3versions -r 2>/dev/null)
- ; do cd "$AUTOPKGTEST_TMP"
- ; echo "Testing with $py:"
- ; http_proxy= $py -m pytest
- ; done
+Tests: py3test
 Depends: python3-all,
          python3-astral,
          python3-pytest
diff --git a/debian/tests/py2test b/debian/tests/py2test
new file mode 100644
index 0000000..b9dea8e
--- /dev/null
+++ b/debian/tests/py2test
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -e
+
+cp -r src/test "$AUTOPKGTEST_TMP"
+
+for py in $(pyversions -r 2>/dev/null)
+ do cd "$AUTOPKGTEST_TMP"
+ echo "Testing with $py:"
+ $py -m pytest -m "not webtest"
+ done
diff --git a/debian/tests/py3test b/debian/tests/py3test
new file mode 100644
index 0000000..2a2c0ed
--- /dev/null
+++ b/debian/tests/py3test
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+cp -r src/test "$AUTOPKGTEST_TMP"
+
+for py in $(py3versions -r 2>/dev/null)
+ do cd "$AUTOPKGTEST_TMP"
+ echo "Testing with $py:"
+ $py -m pytest -m "not webtest"
+ done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/astral.git



More information about the Python-modules-commits mailing list